Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04596 Debugger Minor Always Jan 9, 2012, 13:57 Oct 15, 2015, 12:01
Tester ShimaPong View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver
Version 0.144u5 Fixed in Version 0.145u6 Build Normal
Summary 04596: map command returns unexpected tag
Description debugger "map" command returns unexpected tag if target address is defined as "AM_xxxx8/16/32".
See screenshot. address $600000 is defined by "AM_READWRITE16" with "f3_spriteram_r" and "f3_spriteram_w".
But map command returns unexpected tag in this case.

Alos "f3_unk_w", "f3_control_0_w" and "f3_control_1_w" has the same problems because there are defined as "WRITE16".

But no problem in case that defiend as standard "AM_READWRITE" and "AM_WRITE" (eg, $4a0000 (f3_control_r/f3_control_w))
Steps To Reproduce input map command for target address whichi is defined as "AM_xxxx8/6/32"
Additional Information
Flags
Regression Version 0.142u5
Affected Sets / Systems
Attached Files
png file icon dariusg.png (94,049 bytes) Jan 9, 2012, 13:57 Uploaded by ShimaPong
ShimaPong
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.08022
Tafoid
Administrator
Jan 10, 2012, 00:43
confirmed using "mame dariusg -debug" then typing "map 600000"
User avatar
No.12063
Osso
Developer
Oct 12, 2015, 14:00
This was fixed between 0.145 and 0.146.
User avatar
No.12068
M.A.S.H.
Senior Tester
Oct 15, 2015, 12:01
"Fixed in Version" is 0.145u6